/*********************************************************************************
**
**   $Id: WOLaborForm.h,v 1.3 2004/05/04 01:05:00 croftj Exp $
**   Copyright (c) 2004 Joe Croft <joe@croftj.net>
**   
**   This file is part of ah2.
**
**   ah2 is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 2 of the License, or
**   (at your option) any later version.
**
**   Foobar is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with Foobar; if not, write to the Free Software
**   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*********************************************************************************/

#ifndef WOLABORFORM_H
#define WOLABORFORM_H

#include "Data/DataForm.h"

class WOLaborForm : public DataForm 
{
   Q_OBJECT

public:
   WOLaborForm(QWidget *pParent = 0, const char *pName = 0, WFlags f = 0 );
   ~WOLaborForm() { rollbackTransaction(); };

   void setWorkOrder(QString wo);
   void refresh(QSqlRecord *r);
   void setEnabled(bool b);
   bool isInTransaction();

   QLineEdit      *descrEdit;

public slots:   
   void beginTransaction();
   void rollbackTransaction();
   void commitTransaction();
   void deleteRecord();
   void updateRecord();
   void insertRecord();

protected:
private:
   QString        wo;
   QLineEdit      *woEdit;
   QLineEdit      *laborEdit;
   YesNoSelect    *taxableSelect;
   YesNoSelect    *supplySelect;
   bool           inTransaction;
};

#endif

