/*********************************************************************************
**
**   $Id: partsedit.ui.h,v 1.3 2004/07/10 14:06:51 croftj Exp $
**   Copyright (c) 2004 Joe Croft <joe@croftj.net>
**   
**   This file is part of ah2.
**
**   ah2 is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 2 of the License, or
**   (at your option) any later version.
**
**   Foobar is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with Foobar; if not, write to the Free Software
**   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*********************************************************************************/

#include <qmessagebox.h>

#include "p2vedit.h"

void PartsEdit::initialize()
{
   Part2VendorTable1->setNumRows(4);
   PartsTable1->refresh();
   PartsForm1->setEnabled(false);
//   PartsTable1->selectRow(0);
//   PartsForm1->descrEdit->setFocus();
}

void PartsEdit::accept()
{
   PartsForm1->updateRecord();

   PartsForm1->commitTransaction();
   done(PartsForm1->getLastIdent().toInt());
}

void PartsEdit::reject()
{
   if ( PartsForm1->isInTransaction())
   {
      if (QMessageBox::warning(this, "Discarding Changes", 
                                "Canceling this will discard <b>ALL</b> of your changes. Are you sure you want to continue?",
                                QMessageBox::Yes, QMessageBox::No) == QMessageBox::Yes)
      {
         PartsForm1->rollbackTransaction();
         done(QDialog::Rejected);
      }
   }
   else 
   {
      done(QDialog::Rejected);
   }
}


void PartsEdit::updateRecord()
{
   PartsForm1->updateRecord();
//   PartsForm1->descrEdit->setFocus();
}

void PartsEdit::insertRecord()
{
   PartsForm1->insertRecord();
   PartsForm1->setEnabled(true);
//   PartsForm1->descrEdit->setFocus();
}

void PartsEdit::deleteRecord()
{
   PartsForm1->deleteRecord();
//   PartsForm1->descrEdit->setFocus();
}


void PartsEdit::editVendors()
{
   P2VEdit p2v;
   p2v.setPart(PartsForm1->getLastIdent().toInt());
   p2v.initialize();
   p2v.exec();
   Part2VendorTable1->refresh();
}


void PartsEdit::changeCurrentPart( QSqlRecord *r )
{
   printf("PartsEdit::changeCurrentPart(): Enter\n");
   PartsForm1->refresh(r);
   QString f = "part = '" + PartsForm1->getLastIdent() + "'";
   printf("PartsEdit::changeCurrentPart(): setting Part2VendorTable filter to: |%s|\n", (const char*)f);
   Part2VendorTable1->setFilter(f);
   Part2VendorTable1->refresh();
   printf("PartsEdit::changeCurrentPart(): Exit\n");
   PartsForm1->setEnabled(true);
}




void PartsEdit::keyPressEvent( QKeyEvent * e )
{
   printf("PartsEdit::keyPressEvent(): Entry, have key press for %s\n", e->text().isNull() == true ? "NULL" : (const char*)e->text());
   if ( e->key() == Qt::Key_Escape ) 
   {
      e->accept();
      done(QDialog::Rejected);
   }
   printf("PartsEdit::keyPressEvent(): Exit\n");
}
